update to python 2.5.1, security and bug fixes... clean up the makefile slightly...
authorTim Yardley <lst@openwrt.org>
Mon, 30 Jul 2007 19:05:55 +0000 (19:05 +0000)
committerTim Yardley <lst@openwrt.org>
Mon, 30 Jul 2007 19:05:55 +0000 (19:05 +0000)
SVN-Revision: 8239

lang/python/Makefile
lang/python/patches/000-cross-compile.patch
lang/python/patches/001-cross-compile.patch
lang/python/patches/010-disable_modules_and_ssl.patch
lang/python/patches/020-gentoo_py_dontcompile.patch
lang/python/patches/030-cant_check_files.patch

index ff559a31e9f17cfc2685d370a25fbee2c9dd870c..534b9ad081e5f4d05151fa6d637a22b2a371d501 100644 (file)
@@ -9,12 +9,12 @@
 include $(TOPDIR)/rules.mk
 
 PKG_NAME:=python
-PKG_VERSION:=2.5
-PKG_RELEASE:=4
+PKG_VERSION:=2.5.1
+PKG_RELEASE:=1
 
 PKG_SOURCE:=Python-$(PKG_VERSION).tar.bz2
-PKG_SOURCE_URL:=http://www.python.org/ftp/python/2.5/
-PKG_MD5SUM:=ddb7401e711354ca83b7842b733825a3
+PKG_SOURCE_URL:=http://www.python.org/ftp/python/$(PKG_VERSION)/
+PKG_MD5SUM:=70084ffa561660f07de466c2c8c4842d
 PKG_CAT:=bzcat
 
 PKG_BUILD_DIR:=$(BUILD_DIR)/Python-$(PKG_VERSION)
index 1119914523de98f9940352140a89e2e1c8d60488..f89d3e38e5cf2358d9b10745b699a8d9c7d6488e 100644 (file)
@@ -1,6 +1,7 @@
-diff -ruNb Python-2.5.pris/Makefile.pre.in Python-2.5/Makefile.pre.in
---- Python-2.5.pris/Makefile.pre.in    2006-07-30 11:20:10.000000000 -0500
-+++ Python-2.5/Makefile.pre.in 2007-04-19 17:02:07.078288000 -0500
+Index: Python-2.5.1/Makefile.pre.in
+===================================================================
+--- Python-2.5.1.orig/Makefile.pre.in  2007-07-30 12:55:24.000000000 -0500
++++ Python-2.5.1/Makefile.pre.in       2007-07-30 12:55:24.000000000 -0500
 @@ -170,6 +170,7 @@
  
  PYTHON=               python$(EXE)
@@ -47,9 +48,10 @@ diff -ruNb Python-2.5.pris/Makefile.pre.in Python-2.5/Makefile.pre.in
                --prefix=$(prefix) \
                --install-scripts=$(BINDIR) \
                --install-platlib=$(DESTSHARED) \
-diff -ruNb Python-2.5.pris/setup.py Python-2.5/setup.py
---- Python-2.5.pris/setup.py   2006-08-09 18:42:18.000000000 -0500
-+++ Python-2.5/setup.py        2007-04-19 16:58:15.395808750 -0500
+Index: Python-2.5.1/setup.py
+===================================================================
+--- Python-2.5.1.orig/setup.py 2007-07-30 12:55:24.000000000 -0500
++++ Python-2.5.1/setup.py      2007-07-30 12:57:10.000000000 -0500
 @@ -209,6 +209,7 @@
          try:
              imp.load_dynamic(ext.name, ext_filename)
index d5763c8156e01831553bdaeeb0014399caef462a..73a3e336b2a21f9b92c4297233df9cb1c1e722e2 100644 (file)
@@ -1,6 +1,7 @@
-diff -ruNb Python-2.5.pris/setup.py Python-2.5/setup.py
---- Python-2.5.pris/setup.py   2007-04-19 17:06:20.170105250 -0500
-+++ Python-2.5/setup.py        2007-04-19 17:07:14.257485500 -0500
+Index: Python-2.5.1/setup.py
+===================================================================
+--- Python-2.5.1.orig/setup.py 2007-07-30 12:55:24.000000000 -0500
++++ Python-2.5.1/setup.py      2007-07-30 12:57:03.000000000 -0500
 @@ -244,7 +244,18 @@
          return sys.platform
  
index 35605216af933161e6161dc2786371ca3a39cd00..084af942a97199644da9891cacb7759ebe976c43 100644 (file)
@@ -1,6 +1,7 @@
-diff -ruNb Python-2.5.pris/setup.py Python-2.5/setup.py
---- Python-2.5.pris/setup.py   2007-04-19 17:08:06.740765500 -0500
-+++ Python-2.5/setup.py        2007-04-19 17:08:23.121789250 -0500
+Index: Python-2.5.1/setup.py
+===================================================================
+--- Python-2.5.1.orig/setup.py 2007-07-30 12:55:24.000000000 -0500
++++ Python-2.5.1/setup.py      2007-07-30 12:55:24.000000000 -0500
 @@ -15,7 +15,14 @@
  from distutils.command.install_lib import install_lib
  
index 492d6c9f16c6db8e565c274880c2a389ed02eca4..38356fe687844ea1536e783d2619c816985d34f2 100644 (file)
@@ -1,7 +1,8 @@
-diff -ruNb Python-2.5.pris/Python/import.c Python-2.5/Python/import.c
---- Python-2.5.pris/Python/import.c    2006-09-10 23:06:23.000000000 -0500
-+++ Python-2.5/Python/import.c 2007-04-19 17:09:30.209982000 -0500
-@@ -853,8 +853,12 @@
+Index: Python-2.5.1/Python/import.c
+===================================================================
+--- Python-2.5.1.orig/Python/import.c  2007-07-30 12:55:23.000000000 -0500
++++ Python-2.5.1/Python/import.c       2007-07-30 12:55:24.000000000 -0500
+@@ -864,8 +864,12 @@
  write_compiled_module(PyCodeObject *co, char *cpathname, time_t mtime)
  {
        FILE *fp;
index 0f790f6452a8dc94a9c75bac7211b2b2e47c266c..80dccfcc96a7aa40b872eeb26608e44360b8dba2 100644 (file)
@@ -1,13 +1,7 @@
-diff -u -r Python-2.5.orig/configure Python-2.5/configure
---- Python-2.5.orig/configure  2006-09-04 22:54:42.000000000 -0400
-+++ Python-2.5/configure       2006-09-29 11:30:58.000000000 -0400
-@@ -1,5 +1,5 @@
- #! /bin/sh
--# From configure.in Revision: 51173 .
-+# From configure.in Revision: 51727 .
- # Guess values for system-dependent variables and create Makefiles.
- # Generated by GNU Autoconf 2.59 for python 2.5.
- #
+Index: Python-2.5.1/configure
+===================================================================
+--- Python-2.5.1.orig/configure        2007-07-30 12:55:23.000000000 -0500
++++ Python-2.5.1/configure     2007-07-30 13:05:23.000000000 -0500
 @@ -984,7 +984,7 @@
      else
        echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
@@ -17,7 +11,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    done
  fi
  
-@@ -2331,8 +2331,7 @@
+@@ -2336,8 +2336,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -27,7 +21,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -2390,8 +2389,7 @@
+@@ -2395,8 +2394,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -37,7 +31,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -2507,8 +2505,7 @@
+@@ -2512,8 +2510,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -47,7 +41,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -2562,8 +2559,7 @@
+@@ -2567,8 +2564,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -57,7 +51,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -2608,8 +2604,7 @@
+@@ -2613,8 +2609,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -67,7 +61,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -2653,8 +2648,7 @@
+@@ -2658,8 +2653,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -77,7 +71,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -4378,8 +4372,7 @@
+@@ -4383,8 +4377,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -87,7 +81,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -4549,8 +4542,7 @@
+@@ -4554,8 +4547,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -97,7 +91,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -4675,8 +4667,7 @@
+@@ -4681,8 +4673,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -107,7 +101,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -4831,8 +4822,7 @@
+@@ -4837,8 +4828,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -117,7 +111,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -4904,8 +4894,7 @@
+@@ -4910,8 +4900,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -127,7 +121,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -4959,8 +4948,7 @@
+@@ -4965,8 +4954,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -137,7 +131,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -5031,8 +5019,7 @@
+@@ -5037,8 +5025,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -147,7 +141,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -5086,8 +5073,7 @@
+@@ -5092,8 +5079,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -157,7 +151,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -5150,8 +5136,7 @@
+@@ -5156,8 +5142,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -167,7 +161,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -5208,8 +5193,7 @@
+@@ -5214,8 +5199,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -177,7 +171,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -5356,8 +5340,7 @@
+@@ -5362,8 +5346,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -187,7 +181,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -5509,8 +5492,7 @@
+@@ -5515,8 +5498,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -197,7 +191,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -5579,8 +5561,7 @@
+@@ -5585,8 +5567,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -207,7 +201,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -5670,8 +5651,7 @@
+@@ -5676,8 +5657,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -217,7 +211,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -5721,8 +5701,7 @@
+@@ -5727,8 +5707,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -227,7 +221,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -5799,8 +5778,7 @@
+@@ -5805,8 +5784,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -237,7 +231,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -5881,8 +5859,7 @@
+@@ -5887,8 +5865,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -247,7 +241,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -5947,8 +5924,7 @@
+@@ -5953,8 +5930,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -257,7 +251,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -6013,8 +5989,7 @@
+@@ -6019,8 +5995,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -267,7 +261,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -6086,8 +6061,7 @@
+@@ -6092,8 +6067,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -277,7 +271,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -6148,8 +6122,7 @@
+@@ -6154,8 +6128,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -287,7 +281,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -6252,8 +6225,7 @@
+@@ -6258,8 +6231,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -297,7 +291,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -6319,8 +6291,7 @@
+@@ -6325,8 +6297,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -307,7 +301,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -6382,8 +6353,7 @@
+@@ -6388,8 +6359,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -317,7 +311,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -6423,8 +6393,7 @@
+@@ -6429,8 +6399,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -327,7 +321,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -6480,8 +6449,7 @@
+@@ -6486,8 +6455,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -337,7 +331,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -6521,8 +6489,7 @@
+@@ -6527,8 +6495,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -347,7 +341,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -6586,8 +6553,7 @@
+@@ -6592,8 +6559,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -357,7 +351,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -6618,10 +6584,8 @@
+@@ -6624,10 +6590,8 @@
  esac
  else
    if test "$cross_compiling" = yes; then
@@ -370,7 +364,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
     { (exit 1); exit 1; }; }
  else
    cat >conftest.$ac_ext <<_ACEOF
-@@ -6733,8 +6697,7 @@
+@@ -6739,8 +6703,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -380,7 +374,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -6796,8 +6759,7 @@
+@@ -6802,8 +6765,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -390,7 +384,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -6837,8 +6799,7 @@
+@@ -6843,8 +6805,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -400,7 +394,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -6894,8 +6855,7 @@
+@@ -6900,8 +6861,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -410,7 +404,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -6935,8 +6895,7 @@
+@@ -6941,8 +6901,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -420,7 +414,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -7000,8 +6959,7 @@
+@@ -7006,8 +6965,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -430,7 +424,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -7032,10 +6990,8 @@
+@@ -7038,10 +6996,8 @@
  esac
  else
    if test "$cross_compiling" = yes; then
@@ -443,7 +437,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
     { (exit 1); exit 1; }; }
  else
    cat >conftest.$ac_ext <<_ACEOF
-@@ -7147,8 +7103,7 @@
+@@ -7153,8 +7109,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -453,7 +447,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -7210,8 +7165,7 @@
+@@ -7216,8 +7171,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -463,7 +457,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -7251,8 +7205,7 @@
+@@ -7257,8 +7211,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -473,7 +467,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -7308,8 +7261,7 @@
+@@ -7314,8 +7267,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -483,7 +477,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -7349,8 +7301,7 @@
+@@ -7355,8 +7307,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -493,7 +487,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -7414,8 +7365,7 @@
+@@ -7420,8 +7371,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -503,7 +497,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -7446,10 +7396,8 @@
+@@ -7452,10 +7402,8 @@
  esac
  else
    if test "$cross_compiling" = yes; then
@@ -516,7 +510,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
     { (exit 1); exit 1; }; }
  else
    cat >conftest.$ac_ext <<_ACEOF
-@@ -7561,8 +7509,7 @@
+@@ -7567,8 +7515,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -526,7 +520,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -7624,8 +7571,7 @@
+@@ -7630,8 +7577,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -536,7 +530,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -7665,8 +7611,7 @@
+@@ -7671,8 +7617,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -546,7 +540,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -7722,8 +7667,7 @@
+@@ -7728,8 +7673,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -556,7 +550,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -7763,8 +7707,7 @@
+@@ -7769,8 +7713,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -566,7 +560,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -7828,8 +7771,7 @@
+@@ -7834,8 +7777,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -576,7 +570,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -7860,10 +7802,8 @@
+@@ -7866,10 +7808,8 @@
  esac
  else
    if test "$cross_compiling" = yes; then
@@ -589,7 +583,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
     { (exit 1); exit 1; }; }
  else
    cat >conftest.$ac_ext <<_ACEOF
-@@ -7975,8 +7915,7 @@
+@@ -7981,8 +7921,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -599,7 +593,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -8038,8 +7977,7 @@
+@@ -8044,8 +7983,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -609,7 +603,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -8079,8 +8017,7 @@
+@@ -8085,8 +8023,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -619,7 +613,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -8136,8 +8073,7 @@
+@@ -8142,8 +8079,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -629,7 +623,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -8177,8 +8113,7 @@
+@@ -8183,8 +8119,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -639,7 +633,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -8242,8 +8177,7 @@
+@@ -8248,8 +8183,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -649,7 +643,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -8274,10 +8208,8 @@
+@@ -8280,10 +8214,8 @@
  esac
  else
    if test "$cross_compiling" = yes; then
@@ -662,7 +656,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
     { (exit 1); exit 1; }; }
  else
    cat >conftest.$ac_ext <<_ACEOF
-@@ -8389,8 +8321,7 @@
+@@ -8395,8 +8327,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -672,7 +666,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -8452,8 +8383,7 @@
+@@ -8458,8 +8389,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -682,7 +676,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -8493,8 +8423,7 @@
+@@ -8499,8 +8429,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -692,7 +686,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -8550,8 +8479,7 @@
+@@ -8556,8 +8485,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -702,7 +696,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -8591,8 +8519,7 @@
+@@ -8597,8 +8525,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -712,7 +706,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -8656,8 +8583,7 @@
+@@ -8662,8 +8589,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -722,7 +716,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -8688,10 +8614,8 @@
+@@ -8694,10 +8620,8 @@
  esac
  else
    if test "$cross_compiling" = yes; then
@@ -735,7 +729,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
     { (exit 1); exit 1; }; }
  else
    cat >conftest.$ac_ext <<_ACEOF
-@@ -8803,8 +8727,7 @@
+@@ -8809,8 +8733,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -745,7 +739,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -8866,8 +8789,7 @@
+@@ -8872,8 +8795,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -755,7 +749,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -8907,8 +8829,7 @@
+@@ -8913,8 +8835,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -765,7 +759,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -8964,8 +8885,7 @@
+@@ -8970,8 +8891,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -775,7 +769,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -9005,8 +8925,7 @@
+@@ -9011,8 +8931,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -785,7 +779,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -9070,8 +8989,7 @@
+@@ -9076,8 +8995,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -795,7 +789,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -9102,10 +9020,8 @@
+@@ -9108,10 +9026,8 @@
  esac
  else
    if test "$cross_compiling" = yes; then
@@ -808,7 +802,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
     { (exit 1); exit 1; }; }
  else
    cat >conftest.$ac_ext <<_ACEOF
-@@ -9217,8 +9133,7 @@
+@@ -9223,8 +9139,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -818,7 +812,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -9280,8 +9195,7 @@
+@@ -9286,8 +9201,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -828,7 +822,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -9321,8 +9235,7 @@
+@@ -9327,8 +9241,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -838,7 +832,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -9378,8 +9291,7 @@
+@@ -9384,8 +9297,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -848,7 +842,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -9419,8 +9331,7 @@
+@@ -9425,8 +9337,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -858,7 +852,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -9484,8 +9395,7 @@
+@@ -9490,8 +9401,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -868,7 +862,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -9516,10 +9426,8 @@
+@@ -9522,10 +9432,8 @@
  esac
  else
    if test "$cross_compiling" = yes; then
@@ -881,7 +875,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
     { (exit 1); exit 1; }; }
  else
    cat >conftest.$ac_ext <<_ACEOF
-@@ -9627,8 +9535,7 @@
+@@ -9633,8 +9541,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -891,7 +885,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -9689,8 +9596,7 @@
+@@ -9695,8 +9602,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -901,7 +895,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -9752,8 +9658,7 @@
+@@ -9758,8 +9664,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -911,7 +905,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -9793,8 +9698,7 @@
+@@ -9799,8 +9704,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -921,7 +915,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -9850,8 +9754,7 @@
+@@ -9856,8 +9760,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -931,7 +925,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -9891,8 +9794,7 @@
+@@ -9897,8 +9800,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -941,7 +935,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -9956,8 +9858,7 @@
+@@ -9962,8 +9864,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -951,7 +945,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -9988,10 +9889,8 @@
+@@ -9994,10 +9895,8 @@
  esac
  else
    if test "$cross_compiling" = yes; then
@@ -964,7 +958,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
     { (exit 1); exit 1; }; }
  else
    cat >conftest.$ac_ext <<_ACEOF
-@@ -10100,8 +9999,7 @@
+@@ -10114,8 +10013,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -974,7 +968,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -10162,8 +10060,7 @@
+@@ -10176,8 +10074,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -984,7 +978,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -10225,8 +10122,7 @@
+@@ -10239,8 +10136,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -994,7 +988,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -10266,8 +10162,7 @@
+@@ -10280,8 +10176,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1004,7 +998,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -10323,8 +10218,7 @@
+@@ -10337,8 +10232,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1014,7 +1008,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -10364,8 +10258,7 @@
+@@ -10378,8 +10272,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1024,7 +1018,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -10429,8 +10322,7 @@
+@@ -10443,8 +10336,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1034,7 +1028,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -10461,10 +10353,8 @@
+@@ -10475,10 +10367,8 @@
  esac
  else
    if test "$cross_compiling" = yes; then
@@ -1047,7 +1041,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
     { (exit 1); exit 1; }; }
  else
    cat >conftest.$ac_ext <<_ACEOF
-@@ -10716,8 +10606,7 @@
+@@ -10732,8 +10622,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1057,7 +1051,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -11229,8 +11118,7 @@
+@@ -11247,8 +11136,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1067,7 +1061,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -11303,8 +11191,7 @@
+@@ -11321,8 +11209,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1077,7 +1071,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -11379,8 +11266,7 @@
+@@ -11397,8 +11284,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1087,7 +1081,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -11434,8 +11320,7 @@
+@@ -11452,8 +11338,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1097,7 +1091,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -11510,8 +11395,7 @@
+@@ -11528,8 +11413,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1107,7 +1101,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -11573,8 +11457,7 @@
+@@ -11591,8 +11475,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1117,7 +1111,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -11645,8 +11528,7 @@
+@@ -11663,8 +11546,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1127,7 +1121,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -11713,8 +11595,7 @@
+@@ -11731,8 +11613,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1137,7 +1131,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -11784,8 +11665,7 @@
+@@ -11802,8 +11683,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1147,7 +1141,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -12054,8 +11934,7 @@
+@@ -12072,8 +11952,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1157,7 +1151,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -12209,8 +12088,7 @@
+@@ -12227,8 +12106,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1167,7 +1161,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -12390,8 +12268,7 @@
+@@ -12408,8 +12286,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1177,7 +1171,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -12483,8 +12360,7 @@
+@@ -12501,8 +12378,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1187,7 +1181,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -12547,8 +12423,7 @@
+@@ -12565,8 +12441,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1197,7 +1191,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -12697,8 +12572,7 @@
+@@ -12715,8 +12590,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1207,7 +1201,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -12855,8 +12729,7 @@
+@@ -12873,8 +12747,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1217,7 +1211,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -12929,8 +12802,7 @@
+@@ -12947,8 +12820,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1227,7 +1221,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -13003,8 +12875,7 @@
+@@ -13021,8 +12893,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1237,7 +1231,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -13077,8 +12948,7 @@
+@@ -13095,8 +12966,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1247,7 +1241,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -13180,8 +13050,7 @@
+@@ -13198,8 +13068,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1257,7 +1251,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -13256,8 +13125,7 @@
+@@ -13274,8 +13143,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1267,7 +1261,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -13459,8 +13327,7 @@
+@@ -13477,8 +13345,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1277,7 +1271,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -13608,8 +13475,7 @@
+@@ -13626,8 +13493,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1287,7 +1281,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -13999,8 +13865,7 @@
+@@ -14017,8 +13883,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1297,7 +1291,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -14243,8 +14108,7 @@
+@@ -14261,8 +14126,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1307,7 +1301,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -14305,8 +14169,7 @@
+@@ -14323,8 +14187,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1317,7 +1311,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -14360,8 +14223,7 @@
+@@ -14378,8 +14241,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1327,7 +1321,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -14415,8 +14277,7 @@
+@@ -14433,8 +14295,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1337,7 +1331,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -14470,8 +14331,7 @@
+@@ -14488,8 +14349,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1347,7 +1341,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -14525,8 +14385,7 @@
+@@ -14543,8 +14403,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1357,7 +1351,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -14580,8 +14439,7 @@
+@@ -14598,8 +14457,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1367,7 +1361,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -14645,8 +14503,7 @@
+@@ -14663,8 +14521,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1377,7 +1371,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -14704,8 +14561,7 @@
+@@ -14722,8 +14579,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1387,7 +1381,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -14763,8 +14619,7 @@
+@@ -14781,8 +14637,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1397,7 +1391,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -14873,8 +14728,7 @@
+@@ -14891,8 +14746,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1407,7 +1401,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -14941,8 +14795,7 @@
+@@ -14959,8 +14813,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1417,7 +1411,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -15027,8 +14880,7 @@
+@@ -15045,8 +14898,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1427,7 +1421,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -15098,8 +14950,7 @@
+@@ -15116,8 +14968,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1437,7 +1431,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -15161,8 +15012,7 @@
+@@ -15179,8 +15030,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1447,7 +1441,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -15224,8 +15074,7 @@
+@@ -15242,8 +15092,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1457,7 +1451,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -15287,8 +15136,7 @@
+@@ -15305,8 +15154,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1467,7 +1461,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -15388,8 +15236,7 @@
+@@ -15406,8 +15254,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1477,7 +1471,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -15457,8 +15304,7 @@
+@@ -15475,8 +15322,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1487,7 +1481,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -15527,8 +15373,7 @@
+@@ -15545,8 +15391,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1497,7 +1491,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -15636,8 +15481,7 @@
+@@ -15654,8 +15499,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1507,7 +1501,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -15705,8 +15549,7 @@
+@@ -15723,8 +15567,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1517,7 +1511,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -15775,8 +15618,7 @@
+@@ -15793,8 +15636,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1527,7 +1521,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -15891,8 +15733,7 @@
+@@ -15909,8 +15751,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1537,7 +1531,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -15998,8 +15839,7 @@
+@@ -16016,8 +15857,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1547,7 +1541,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -16110,8 +15950,7 @@
+@@ -16128,8 +15968,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1557,7 +1551,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -16163,8 +16002,7 @@
+@@ -16181,8 +16020,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1567,7 +1561,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -16261,8 +16099,7 @@
+@@ -16279,8 +16117,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1577,7 +1571,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -16314,8 +16151,7 @@
+@@ -16332,8 +16169,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1587,7 +1581,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -16412,8 +16248,7 @@
+@@ -16430,8 +16266,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1597,7 +1591,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -16465,8 +16300,7 @@
+@@ -16483,8 +16318,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1607,7 +1601,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -16532,8 +16366,7 @@
+@@ -16550,8 +16384,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1617,7 +1611,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -16601,8 +16434,7 @@
+@@ -16619,8 +16452,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1627,7 +1621,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -16839,8 +16671,7 @@
+@@ -16857,8 +16689,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1637,7 +1631,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -16907,8 +16738,7 @@
+@@ -16925,8 +16756,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1647,7 +1641,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -16970,8 +16800,7 @@
+@@ -16988,8 +16818,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1657,7 +1651,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -17036,8 +16865,7 @@
+@@ -17054,8 +16883,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1667,7 +1661,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -17083,8 +16911,7 @@
+@@ -17101,8 +16929,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1677,7 +1671,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -17158,8 +16985,7 @@
+@@ -17176,8 +17003,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1687,7 +1681,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -17223,8 +17049,7 @@
+@@ -17241,8 +17067,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1697,7 +1691,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -17267,8 +17092,7 @@
+@@ -17285,8 +17110,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1707,7 +1701,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -17333,8 +17157,7 @@
+@@ -17351,8 +17175,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1717,7 +1711,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -17377,8 +17200,7 @@
+@@ -17395,8 +17218,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1727,7 +1721,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -17443,8 +17265,7 @@
+@@ -17461,8 +17283,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1737,7 +1731,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -17487,8 +17308,7 @@
+@@ -17505,8 +17326,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1747,7 +1741,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -17553,8 +17373,7 @@
+@@ -17571,8 +17391,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1757,7 +1751,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -17597,8 +17416,7 @@
+@@ -17615,8 +17434,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1767,7 +1761,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -17663,8 +17481,7 @@
+@@ -17681,8 +17499,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1777,7 +1771,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -17707,8 +17524,7 @@
+@@ -17725,8 +17542,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1787,7 +1781,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -17773,8 +17589,7 @@
+@@ -17791,8 +17607,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1797,7 +1791,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -17817,8 +17632,7 @@
+@@ -17835,8 +17650,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1807,7 +1801,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -17896,8 +17710,7 @@
+@@ -17914,8 +17728,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1817,7 +1811,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -17960,8 +17773,7 @@
+@@ -17978,8 +17791,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1827,7 +1821,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -18020,8 +17832,7 @@
+@@ -18038,8 +17850,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1837,7 +1831,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -18084,8 +17895,7 @@
+@@ -18102,8 +17913,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1847,7 +1841,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -18151,8 +17961,7 @@
+@@ -18169,8 +17979,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1857,7 +1851,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -18257,8 +18066,7 @@
+@@ -18275,8 +18084,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1867,7 +1861,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -18317,8 +18125,7 @@
+@@ -18335,8 +18143,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1877,7 +1871,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -18373,8 +18180,7 @@
+@@ -18391,8 +18198,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1887,7 +1881,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -18429,8 +18235,7 @@
+@@ -18447,8 +18253,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1897,7 +1891,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -18496,8 +18301,7 @@
+@@ -18514,8 +18319,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1907,7 +1901,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -18556,8 +18360,7 @@
+@@ -18574,8 +18378,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1917,7 +1911,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -18615,8 +18418,7 @@
+@@ -18633,8 +18436,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1927,7 +1921,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -18677,8 +18479,7 @@
+@@ -18695,8 +18497,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1937,7 +1931,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -18777,8 +18578,7 @@
+@@ -18795,8 +18596,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1947,7 +1941,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -18846,8 +18646,7 @@
+@@ -18864,8 +18664,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1957,7 +1951,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -18915,8 +18714,7 @@
+@@ -18933,8 +18732,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1967,7 +1961,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -18982,8 +18780,7 @@
+@@ -19000,8 +18798,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1977,7 +1971,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -19097,8 +18894,7 @@
+@@ -19115,8 +18912,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1987,7 +1981,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -19208,8 +19004,7 @@
+@@ -19226,8 +19022,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -1997,7 +1991,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -19275,8 +19070,7 @@
+@@ -19293,8 +19088,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2007,7 +2001,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -19468,8 +19262,7 @@
+@@ -19486,8 +19280,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2017,7 +2011,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -19544,8 +19337,7 @@
+@@ -19562,8 +19355,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2027,7 +2021,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -19703,8 +19495,7 @@
+@@ -19721,8 +19513,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2037,7 +2031,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -19767,8 +19558,7 @@
+@@ -19785,8 +19576,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2047,7 +2041,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -19809,8 +19599,7 @@
+@@ -19827,8 +19617,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2057,7 +2051,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -19867,8 +19656,7 @@
+@@ -19885,8 +19674,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2067,7 +2061,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -19909,8 +19697,7 @@
+@@ -19927,8 +19715,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2077,7 +2071,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -19975,8 +19762,7 @@
+@@ -19993,8 +19780,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2087,7 +2081,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -20007,10 +19793,8 @@
+@@ -20025,10 +19811,8 @@
  esac
  else
    if test "$cross_compiling" = yes; then
@@ -2100,7 +2094,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
     { (exit 1); exit 1; }; }
  else
    cat >conftest.$ac_ext <<_ACEOF
-@@ -20124,8 +19908,7 @@
+@@ -20142,8 +19926,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2110,7 +2104,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -20336,8 +20119,7 @@
+@@ -20354,8 +20137,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2120,7 +2114,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -20379,8 +20161,7 @@
+@@ -20397,8 +20179,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2130,7 +2124,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -20437,8 +20218,7 @@
+@@ -20455,8 +20236,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2140,7 +2134,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -20629,8 +20409,7 @@
+@@ -20647,8 +20427,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2150,7 +2144,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -20706,8 +20485,7 @@
+@@ -20724,8 +20503,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2160,7 +2154,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -20782,8 +20560,7 @@
+@@ -20800,8 +20578,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2170,7 +2164,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -20858,8 +20635,7 @@
+@@ -20876,8 +20653,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2180,7 +2174,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -20990,8 +20766,7 @@
+@@ -21008,8 +20784,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2190,7 +2184,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -21064,8 +20839,7 @@
+@@ -21082,8 +20857,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2200,7 +2194,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -21327,8 +21101,7 @@
+@@ -21345,8 +21119,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2210,7 +2204,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -21374,8 +21147,7 @@
+@@ -21392,8 +21165,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2220,7 +2214,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -21449,8 +21221,7 @@
+@@ -21467,8 +21239,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2230,7 +2224,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -21633,8 +21404,7 @@
+@@ -21651,8 +21422,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2240,7 +2234,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -21700,8 +21470,7 @@
+@@ -21718,8 +21488,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2250,7 +2244,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -21767,8 +21536,7 @@
+@@ -21785,8 +21554,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2260,7 +2254,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -21834,8 +21602,7 @@
+@@ -21852,8 +21620,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2270,7 +2264,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -21896,8 +21663,7 @@
+@@ -21914,8 +21681,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2280,7 +2274,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -21952,8 +21718,7 @@
+@@ -21970,8 +21736,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2290,7 +2284,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -22008,8 +21773,7 @@
+@@ -22026,8 +21791,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2300,61 +2294,44 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -22038,118 +21802,29 @@
+@@ -22056,115 +21820,28 @@
  fi
  rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
  
 -echo "$as_me:$LINENO: checking for /dev/ptmx" >&5
 -echo $ECHO_N "checking for /dev/ptmx... $ECHO_C" >&6
--if test "${ac_cv_file__dev_ptmx+set}" = set; then
--  echo $ECHO_N "(cached) $ECHO_C" >&6
--else
--  test "$cross_compiling" = yes &&
--  { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
--echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
--   { (exit 1); exit 1; }; }
--if test -r "/dev/ptmx"; then
--  ac_cv_file__dev_ptmx=yes
--else
--  ac_cv_file__dev_ptmx=no
--fi
--fi
--echo "$as_me:$LINENO: result: $ac_cv_file__dev_ptmx" >&5
--echo "${ECHO_T}$ac_cv_file__dev_ptmx" >&6
--if test $ac_cv_file__dev_ptmx = yes; then
+-
+-if test -r /dev/ptmx
+-then
+-  echo "$as_me:$LINENO: result: yes" >&5
+-echo "${ECHO_T}yes" >&6
 -
 -cat >>confdefs.h <<\_ACEOF
 -#define HAVE_DEV_PTMX 1
 -_ACEOF
 -
+-else
+-  echo "$as_me:$LINENO: result: no" >&5
+-echo "${ECHO_T}no" >&6
 -fi
 -
 -echo "$as_me:$LINENO: checking for /dev/ptc" >&5
 -echo $ECHO_N "checking for /dev/ptc... $ECHO_C" >&6
--if test "${ac_cv_file__dev_ptc+set}" = set; then
--  echo $ECHO_N "(cached) $ECHO_C" >&6
--else
--  test "$cross_compiling" = yes &&
--  { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
--echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
--   { (exit 1); exit 1; }; }
--if test -r "/dev/ptc"; then
--  ac_cv_file__dev_ptc=yes
--else
--  ac_cv_file__dev_ptc=no
--fi
--fi
--echo "$as_me:$LINENO: result: $ac_cv_file__dev_ptc" >&5
--echo "${ECHO_T}$ac_cv_file__dev_ptc" >&6
--if test $ac_cv_file__dev_ptc = yes; then
+-
+-if test -r /dev/ptc
+-then
+-  echo "$as_me:$LINENO: result: yes" >&5
+-echo "${ECHO_T}yes" >&6
 -
 -cat >>confdefs.h <<\_ACEOF
 -#define HAVE_DEV_PTC 1
 -_ACEOF
 -
+-else
+-  echo "$as_me:$LINENO: result: no" >&5
+-echo "${ECHO_T}no" >&6
 -fi
 -
--
 -echo "$as_me:$LINENO: checking for %zd printf() format support" >&5
 -echo $ECHO_N "checking for %zd printf() format support... $ECHO_C" >&6
 -if test "$cross_compiling" = yes; then
@@ -2376,12 +2353,26 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
 -
 -int main()
 -{
--    char buffer[4];
+-    char buffer[256];
+-
+-#ifdef HAVE_SSIZE_T
+-typedef ssize_t Py_ssize_t;
+-#elif SIZEOF_VOID_P == SIZEOF_LONG
+-typedef long Py_ssize_t;
+-#else
+-typedef int Py_ssize_t;
+-#endif
 -
 -    if(sprintf(buffer, "%zd", (size_t)123) < 0)
 -              return 1;
 -
--    if (strncmp(buffer, "123", 3))
+-    if (strcmp(buffer, "123"))
+-      return 1;
+-
+-    if (sprintf(buffer, "%zd", (Py_ssize_t)-123) < 0)
+-              return 1;
+-
+-    if (strcmp(buffer, "-123"))
 -      return 1;
 -
 -    return 0;
@@ -2400,9 +2391,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
 -  (exit $ac_status); }; }; then
 -  echo "$as_me:$LINENO: result: yes" >&5
 -echo "${ECHO_T}yes" >&6
-+#AC_CHECK_FILE(/dev/ptmx, AC_DEFINE(HAVE_DEV_PTMX, 1, [Define if we have /dev/ptmx.]))
-+#AC_CHECK_FILE(/dev/ptc, AC_DEFINE(HAVE_DEV_PTC, 1, [Define if we have /dev/ptc.]))
+-
 -cat >>confdefs.h <<\_ACEOF
 -#define PY_FORMAT_SIZE_T "z"
 -_ACEOF
@@ -2418,6 +2407,8 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
 -fi
 -rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 -fi
++#AC_CHECK_FILE(/dev/ptmx, AC_DEFINE(HAVE_DEV_PTMX, 1, [Define if we have /dev/ptmx.]))
++#AC_CHECK_FILE(/dev/ptc, AC_DEFINE(HAVE_DEV_PTC, 1, [Define if we have /dev/ptc.]))
 +#AC_MSG_CHECKING(for %zd printf() format support)
 +#AC_TRY_RUN([#include <stdio.h>
 +##include <stddef.h>
@@ -2441,7 +2432,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
  
  echo "$as_me:$LINENO: checking for socklen_t" >&5
  echo $ECHO_N "checking for socklen_t... $ECHO_C" >&6
-@@ -22191,8 +21866,7 @@
+@@ -22206,8 +21883,7 @@
    cat conftest.err >&5
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); } &&
@@ -2451,7 +2442,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    (eval $ac_try) 2>&5
    ac_status=$?
-@@ -23108,11 +22782,6 @@
+@@ -23123,11 +22799,6 @@
    *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
    esac
  
@@ -2463,7 +2454,7 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
    # Let's still pretend it is `configure' which instantiates (i.e., don't
    # use $as_me), people would be surprised to read:
    #    /* config.h.  Generated by config.status.  */
-@@ -23151,6 +22820,12 @@
+@@ -23166,6 +22837,12 @@
         fi;;
        esac
      done` || { (exit 1); exit 1; }
@@ -2476,18 +2467,36 @@ diff -u -r Python-2.5.orig/configure Python-2.5/configure
  _ACEOF
  cat >>$CONFIG_STATUS <<_ACEOF
    sed "$ac_vpsub
-diff -u -r Python-2.5.orig/configure.in Python-2.5/configure.in
---- Python-2.5.orig/configure.in       2006-09-04 22:54:42.000000000 -0400
-+++ Python-2.5/configure.in    2006-09-29 11:30:11.000000000 -0400
-@@ -3342,33 +3342,33 @@
+Index: Python-2.5.1/configure.in
+===================================================================
+--- Python-2.5.1.orig/configure.in     2007-07-30 12:55:23.000000000 -0500
++++ Python-2.5.1/configure.in  2007-07-30 13:07:14.000000000 -0500
+@@ -3345,62 +3345,62 @@
    AC_MSG_RESULT(no)
  )
  
--AC_CHECK_FILE(/dev/ptmx, AC_DEFINE(HAVE_DEV_PTMX, 1, [Define if we have /dev/ptmx.]))
--AC_CHECK_FILE(/dev/ptc, AC_DEFINE(HAVE_DEV_PTC, 1, [Define if we have /dev/ptc.]))
-+#AC_CHECK_FILE(/dev/ptmx, AC_DEFINE(HAVE_DEV_PTMX, 1, [Define if we have /dev/ptmx.]))
-+#AC_CHECK_FILE(/dev/ptc, AC_DEFINE(HAVE_DEV_PTC, 1, [Define if we have /dev/ptc.]))
+-AC_MSG_CHECKING(for /dev/ptmx)
+-
+-if test -r /dev/ptmx
+-then
+-  AC_MSG_RESULT(yes)
+-  AC_DEFINE(HAVE_DEV_PTMX, 1,
+-  [Define if we have /dev/ptmx.])
+-else
+-  AC_MSG_RESULT(no)
+-fi
+-
+-AC_MSG_CHECKING(for /dev/ptc)
+-
+-if test -r /dev/ptc
+-then
+-  AC_MSG_RESULT(yes)
+-  AC_DEFINE(HAVE_DEV_PTC, 1,
+-  [Define if we have /dev/ptc.])
+-else
+-  AC_MSG_RESULT(no)
+-fi
+-
 -AC_MSG_CHECKING(for %zd printf() format support)
 -AC_TRY_RUN([#include <stdio.h>
 -#include <stddef.h>
@@ -2495,19 +2504,53 @@ diff -u -r Python-2.5.orig/configure.in Python-2.5/configure.in
 -
 -int main()
 -{
--    char buffer[4];
+-    char buffer[256];
+-
+-#ifdef HAVE_SSIZE_T
+-typedef ssize_t Py_ssize_t;
+-#elif SIZEOF_VOID_P == SIZEOF_LONG
+-typedef long Py_ssize_t;
++#AC_MSG_CHECKING(for /dev/ptmx)
++#
++#if test -r /dev/ptmx
++#then
++#  AC_MSG_RESULT(yes)
++#  AC_DEFINE(HAVE_DEV_PTMX, 1,
++#  [Define if we have /dev/ptmx.])
+ #else
+-typedef int Py_ssize_t;
+-#endif
 -
 -    if(sprintf(buffer, "%zd", (size_t)123) < 0)
 -              return 1;
++#  AC_MSG_RESULT(no)
++#fi
+-    if (strcmp(buffer, "123"))
+-      return 1;
+-
+-    if (sprintf(buffer, "%zd", (Py_ssize_t)-123) < 0)
+-              return 1;
 -
--    if (strncmp(buffer, "123", 3))
+-    if (strcmp(buffer, "-123"))
 -      return 1;
--    
+-
 -    return 0;
 -}],
 -[AC_MSG_RESULT(yes)
 - AC_DEFINE(PY_FORMAT_SIZE_T, "z", [Define to printf format modifier for Py_ssize_t])],
 - AC_MSG_RESULT(no))
++#AC_MSG_CHECKING(for /dev/ptc)
++#
++#if test -r /dev/ptc
++#then
++#  AC_MSG_RESULT(yes)
++#  AC_DEFINE(HAVE_DEV_PTC, 1,
++#  [Define if we have /dev/ptc.])
++#else
++#  AC_MSG_RESULT(no)
++#fi
++#
 +#AC_MSG_CHECKING(for %zd printf() format support)
 +#AC_TRY_RUN([#include <stdio.h>
 +##include <stddef.h>
@@ -2515,14 +2558,28 @@ diff -u -r Python-2.5.orig/configure.in Python-2.5/configure.in
 +#
 +#int main()
 +#{
-+#    char buffer[4];
++#    char buffer[256];
++#
++##ifdef HAVE_SSIZE_T
++#typedef ssize_t Py_ssize_t;
++##elif SIZEOF_VOID_P == SIZEOF_LONG
++#typedef long Py_ssize_t;
++##else
++#typedef int Py_ssize_t;
++##endif
 +#
 +#    if(sprintf(buffer, "%zd", (size_t)123) < 0)
 +#             return 1;
 +#
-+#    if (strncmp(buffer, "123", 3))
++#    if (strcmp(buffer, "123"))
 +#     return 1;
-+#    
++#
++#    if (sprintf(buffer, "%zd", (Py_ssize_t)-123) < 0)
++#             return 1;
++#
++#    if (strcmp(buffer, "-123"))
++#     return 1;
++#
 +#    return 0;
 +#}],
 +#[AC_MSG_RESULT(yes)
@@ -2531,8 +2588,3 @@ diff -u -r Python-2.5.orig/configure.in Python-2.5/configure.in
  
  AC_CHECK_TYPE(socklen_t,,
    AC_DEFINE(socklen_t,int,
--            Define to `int' if <sys/socket.h> does not define.),[
-+            Define to 'int' if <sys/socket.h> does not define.),[
- #ifdef HAVE_SYS_TYPES_H
- #include <sys/types.h>
- #endif